﻿using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Generate : Command, ISubCommandOf<MycroForge>
    {
        public Generate(IEnumerable<ISubCommandOf<Generate>> subCommands) :
            base("generate", "Generate a project item")
        {
            AddAlias("g");
            foreach (var subCommandOf in subCommands)
                AddCommand((subCommandOf as Command)!);
        }
    }
}