﻿using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public new partial class Add : Command, ISubCommandOf<MycroForge>
    {
        public Add(IEnumerable<ISubCommandOf<Add>> subCommands) :
            base("add", "Add a predefined feature to your project")
        {
            foreach (var subCommandOf in subCommands)
                AddCommand((subCommandOf as Command)!);
        }
    }
}