﻿using System.CommandLine;
using MycroForge.CLI.Commands.Interfaces;

namespace MycroForge.CLI.Commands;

public partial class MycroForge
{
    public partial class Entity
    {
        public partial class Link : Command, ISubCommandOf<Entity>
        {
            public Link(IEnumerable<ISubCommandOf<Link>> commands) :
                base("link", "Define relationships between entities")
            {
                foreach (var command in commands)
                    AddCommand((command as Command)!);
            }
        }
    }
}